Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## samples.javaclient.analyzer
Class AnalyzerAboutDialog.PackageModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          samples.javaclient.analyzer.AnalyzerAboutDialog.PackageModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

Enclosing class:
  AnalyzerAboutDialog

private class AnalyzerAboutDialog.PackageModel
extends javax.swing.table.AbstractTableModel

A class that provides the table model for a deatiled list of properties for a package

Field Summary
`private java.lang.String[]` | `m_keys`
`private java.lang.String` | `m_package`
`private java.util.Properties` | `m_properties`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`AnalyzerAboutDialog.PackageModel(java.lang.String _package)` Constructor that takes the package name to construct the model for.

Method Summary
`int` | `getColumnCount()` Return number of columns (name, value) in the table
`java.lang.String` | `getColumnName(int col)` Return the column names (name, value)
`int` | `getRowCount()` Return number of rows (properties) in the table
`java.lang.Object` | `getValueAt(int row, int col)` Return the table contents (the name and value for each property)

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_package

    private java.lang.String m_package

### m_properties

    private java.util.Properties m_properties

### m_keys

    private java.lang.String[] m_keys

Constructor Detail

### AnalyzerAboutDialog.PackageModel

    public AnalyzerAboutDialog.PackageModel(java.lang.String _package)

  Constructor that takes the package name to construct the model for.

Method Detail

### getColumnCount

    public int getColumnCount()

  Return number of columns (name, value) in the table

  Returns:
    the number of columns in the table

### getColumnName

    public java.lang.String getColumnName(int col)

  Return the column names (name, value)

  Returns:
    the name of the specified column

### getRowCount

    public int getRowCount()

  Return number of rows (properties) in the table

  Returns:
    the number of rows in the table

### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int col)

  Return the table contents (the name and value for each property)

  Returns:
    the content at the specified row and column

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD